﻿@model PagedList<ViewModels.Trade.MemberDealsListViewModel>

@{
    ViewBag.Title = "My " + ViewBag.StatusTitle + " Deals";
}

<h2 class="page-head">@ViewBag.Title</h2>
<br />

<section class="grid-wrap buys-grid-wrap">
    <table class="table table-striped table-coin">
        <thead>
            <tr>
                <th></th>
                <th>@Html.DisplayNameFor(c => c.Data.FirstOrDefault().Coin.DisplayName)</th>
                <th>Price</th>
                <th>@Html.DisplayNameFor(c => c.Data.FirstOrDefault().PaymentMethod.EnName)</th>
                <th>Deal Date</th>
                <th>@Html.DisplayNameFor(c => c.Data.FirstOrDefault().DealStatus.DisplayName)</th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            @foreach (var item in Model.Data)
            {
                <tr>
                    <td>
                        @if (item.Saler.Id == ViewBag.UserId)
	                    {
		                     <text>You sale</text>
                        }
                        else
                        {
                            <text>You buy</text>
                        }
                    </td>
                    <td>@item.Deal.CoinAmount @item.Coin.DisplayName</td>
                    <td>@item.Deal.TotalCurrencyPrice</td>
                    <td>@item.PaymentMethod.EnName</td>
                    <td>@item.Deal.CreatedOn</td>
                    <td><span class="deal-status">@item.DealStatus.DisplayName</span></td>
                    <td>
                        <a class="btn btn-info" href="/@ViewContext.RouteData.Values["lang"]/member/deal?rowGuid=@item.Deal.RowGuid">See Details</a>                        
                    </td>
                </tr>
            }
        </tbody>
    </table>
    @Html.ShowEmptyLabel(Model.Data)
    @Html.ShowPagerDescription(Model)
    @Html.ShowAdsSearchPager((string)ViewBag.Lang, Model)
</section>